import base
from os.path import join
from pathlib import Path
from PIL import Image


class Object:

    def __init__(self, drawer, image, scale=1, file=__file__):
        
        self.drawer = drawer
        self.image = Image.open(join(str(Path(file).parent), image))

        self.scale = scale

    def draw(self, x, y):

        pixels = list(self.image.getdata())
        width, height = self.image.size
        pixels = [pixels[i * width:(i + 1) * width] for i in range(height)]
        
        for currentY in range(len(pixels)):
            for currentX in range(len(pixels[currentY])):
                pixel = pixels[currentY][currentX]
                r, g, b, a = pixel
                color = base.Game.Color(r, g, b)
                usedX = currentX * self.scale
                usedY = currentY * self.scale
                self.drawer.Rect(usedX + x, usedY + y, usedX + x + self.scale, usedY + y + self.scale, color)